{
	"name": "tool/code-change/code-change.json",
	"parameter_name_check": {
		"option": {
			"delete_name": ["option", "_option", "conn"],
			"definition_name": []
		}
	},
	"replace_function": [
		{
			"from": {
				"function_name": "dqjson.queryJson"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.queryJson"
			},
			"to": {
				"function_name": "qry.queryJson",
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.queryRec"
			},
			"to": {
				"function_name": "qry.queryRec",
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.queryJsonData"
			},
			"to": {
				"function_name": "qry.queryJsonData",
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.queryGrid"
			},
			"to": {
				"function_name": "qry.queryGrid",
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.query"
			},
			"to": {
				"function_name": "qry.query",
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "qry.deleteJson"
			},
			"to": {
				"function_name": "qry.deleteJson",
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dconn.connection"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dconn.inside4d"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dconn.dbType"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.recordsInSelection"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.recordsInTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.linkedRecord"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.recordsInTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.selectionToTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.selectionToArrayTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.selectionToRecordTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.selectionToStructureTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.linkedToRecordTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dload.addLinkedDataToStructureTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 5,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.orderBy"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.queryText"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.tableCount"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.readTableStructure"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.queryValueChange"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.query"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 5,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "query.queryJson"
			},
			"to": {
				"function_name": "qry.queryJson",
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.clearQuery"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.queryArray"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 5,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschema.fieldType"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschema.fieldTypeLua"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschema.localDatabase"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.getDefaultOrderBy"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlAlias"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryTextCreate"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryWhereAdd"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryFromAdd"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryBuild"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.aggregate"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.offset"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.limit"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlText"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.querySetStart"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.querySetEnd"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.showRemoteSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlSelectInit"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dqry.clearQuery"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryStart"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlQueryExecute"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlExecuteUnsafe"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.sqlExecuteUnsafeArray"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.pushSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.popSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.initWhereArr"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.getWhereArr"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.getWhereArrUsedTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.initOrderArr"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.getOrderArr"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dsql.getOrderArrUsedTable"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 1,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.nameChange"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 3,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.fieldNameSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.fieldNamePrefixSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.tablePrefixSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.tableNameSql"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "dschemasql.fieldSqlValue"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 2,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "execute.runCode"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "execute.runStatement"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		},
		{
			"from": {
				"function_name": "execute.runPreference"
			},
			"to": {
				"delete_parameter": [
					{
						"delete_parameter_number": 4,
						"delete_parameter_name_check": "option"
					}
				]
			}
		}
	]
}
